Index Page vscl_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vscl_c ( SpiceDouble        s,
                     ConstSpiceDouble   v1[3],
                     SpiceDouble        vout[3] )

#### Abstract

       Multiply a scalar and a 3-dimensional double precision vector.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
        s         I     Scalar to multiply a vector.
        v1        I     Vector to be multiplied.
        vout      O     Product vector, s*v1. vout can overwrite v1.

#### Detailed_Input

       s    This is a double precision scalar used to multiply the
            vector v1.

       v1   This is a 3-dimensional, double precision vector which is
            to be scaled by s.

#### Detailed_Output

       vout   This is a 3-dimensional, double precision vector which
              is the scalar multiple of v1.  vout = s*v1.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       vscl_c multiplies each component of v1 by s to form the respective
       components of vout.  No error checking is performed.

#### Examples

       The following table shows the output vout as a function of the
       the inputs v1, and s from the subroutine vscl_c.

       v1                   s         vout
       -------------------------------------------------------
       (1, -2, 0)          -1       (-1, 2, 0)
       (0,  0, 0)           5       ( 0, 0, 0)

#### Restrictions

       The user is responsible for insuring that no floating point
       overflow occurs from multiplying s by any component of v1.
       No error recovery or reporting scheme is incorporated in this
       subroutine.

#### Literature_References

       None.

#### Author_and_Institution

       W.M. Owen       (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vector const.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       3-dimensional vector scaling

#### Link to routine vscl_c source file vscl_c.c

    Wed Apr  5 17:54:47 2017